#ifndef XGFXWORLDSTREAMINFO_H
#define XGFXWORLDSTREAMINFO_H

#include "xasset.h"
#include "xgfxstreamingaabbtree.h"

#include <QVector>

class XGfxWorldStreamInfo : public XAsset
{
public:
    explicit XGfxWorldStreamInfo();
    ~XGfxWorldStreamInfo();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    int mAabbTreeCount;
    QVector<XGfxStreamingAabbTree> mAabbTrees;

    int mLeafRefCount;
    QVector<int> mLeafRefs;
};

#endif // XGFXWORLDSTREAMINFO_H








